## org.apache.poi.hsmf.datatypes
Class Chunk

    java.lang.Object
      org.apache.poi.hsmf.datatypes.Chunk

Direct Known Subclasses:
  ByteChunk, DirectoryChunk, MessageSubmissionChunk, StringChunk

    public abstract class Chunk

extends java.lang.Object

Field Summary
`protected int` `chunkId`
`static java.lang.String` `DEFAULT_NAME_PREFIX`
`protected java.lang.String` `namePrefix`
`protected int` `type`

Constructor Summary
`protected` `Chunk(int chunkId, int type)`
`protected` `Chunk(java.lang.String namePrefix, int chunkId, int type)`

Method Summary
`int` `getChunkId()` Gets the id of this chunk
`java.lang.String` `getEntryName()` Creates a string to use to identify this chunk in the POI file system object.
`int` `getType()` Gets the numeric type of this chunk.
`abstract void` `readValue(java.io.InputStream value)` Reads the value of this chunk using an InputStream
`abstract void` `writeValue(java.io.OutputStream out)` Writes the value of this chunk back out again.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_NAME_PREFIX

    public static final java.lang.String DEFAULT_NAME_PREFIX

See Also:
  Constant Field Values

### chunkId

    protected int chunkId

### type

    protected int type

### namePrefix

    protected java.lang.String namePrefix

Constructor Detail

### Chunk

    protected Chunk(java.lang.String namePrefix,
                    int chunkId,
                    int type)

### Chunk

    protected Chunk(int chunkId,
                    int type)

Method Detail

### getChunkId

    public int getChunkId()

  Gets the id of this chunk

### getType

    public int getType()

  Gets the numeric type of this chunk.

### getEntryName

    public java.lang.String getEntryName()

  Creates a string to use to identify this chunk in the POI file system object.

### writeValue

    public abstract void writeValue(java.io.OutputStream out)
                             throws java.io.IOException

  Writes the value of this chunk back out again.

  Throws:
    `java.io.IOException`

### readValue

    public abstract void readValue(java.io.InputStream value)
                            throws java.io.IOException

  Reads the value of this chunk using an InputStream

  Throws:
    `java.io.IOException`

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.